<ion-header>
  <ion-navbar>
    <ion-title>
      List of trips
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  Book a trip. Or don't. Whatever.

  <ion-refresher (ionRefresh)="doRefresh($event)">
      <ion-refresher-content
        pullingIcon="arrow-dropdown"
        pullingText="Pull to refresh"
        refreshingSpinner="circles"
        refreshingText="Refreshing...">
      </ion-refresher-content>
    </ion-refresher>

  <ion-list no-lines>
    <ion-item *ngFor="let trajet of this.trajets">
      <ion-card (click)="changePage(trajet)">
        <label class="row">
          {{trajet.date}} - {{trajet.heureDebut}}
        </label>
        <label class="row">
          {{trajet.lieuDepart}} >> {{trajet.lieuArrivee}}
        </label>
        <label class="row lower">
          {{trajet.nameConducteur}}
        </label>
      </ion-card>
    </ion-item>
  </ion-list>
  <ion-fab bottom right>
      <button ion-fab color="primary" (click)="openAddTripForm()"><ion-icon name="add"></ion-icon></button>
    </ion-fab>
    <ion-fab bottom left>
        <button ion-fab color="primary" (click)="filters()"><ion-icon name="funnel"></ion-icon></button>
      </ion-fab>
</ion-content>
